Subject: Re: enabling COMPAT_LINUX by default in 1.6.2
To: None <,>
From: Amitai Schlair <>
List: port-powerpc
Date: 01/11/2004 15:58:46
Emmanuel Dreyfus wrote:

> I worked with someone behind the scene to get java to work on
> 1.6.2_RC3/powerpc. It was a pain to do it, but finnally, only two things
> are missing:
> - rebuild a kernel with COMPAT_LINUX
> - sysctl -w emul.linux.kern.osversion=2.4.18
> What about making these default for upcoming 1.6.2? That way,
> pkgsrc/lang/blackdown-jdk13 will just install out of the box.

Hi, I'm someone, and I like the idea. :-)

It may be hard to get these changes in, as the 1.6.2 release is already 
fairly late. Still, if you're confident that the resulting GENERIC 
kernel still boots (macppc has trouble with large kernels), I'd say try 
sending a pullup request.

- Amitai